# Code to automatically install ddeq in a new environment from 
# 1) the ddeq forked repository in atmospheric composition BSC gitlab or 2) the main ddeq.
# you must be inside a folder where you will clone the project


yes | conda create -n <NAME ENVIRONMENT>
source activate base
conda activate <NAME ENVIRONMENT>
yes | conda install jupyterlab
yes | conda install pycurl
yes | conda install cartopy

# install the ucat from repo (this step is needed for ddeq 1.0)
yes | git clone https://gitlab.com/empa503/general-tools/u-cat.git
yes | pip install -e u-cat/

## Uncomment next line to install the ddeq forked repository in BSC gitlab
##yes | git clone https://earth.bsc.es/gitlab/ac/ddeq.git

# Uncomment next to install ddeq from the master repo
yes | git clone https://gitlab.com/empa503/remote-sensing/ddeq.git

yes | python -m pip install ddeq/
cd ddeq/
jupyter lab --notebook-dir .





